#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  libxmlb-0.3.26

- Next

  libwacom-2.18.0

- Up
- Home

# libxslt-1.1.45

## Introduction to libxslt

The libxslt package contains XSLT libraries used for extending `libxml2` libraries to support XSLT files.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libxslt/1.1/libxslt-1.1.45.tar.xz

- Download MD5 sum: 84bb3f6ba7f5ee98af5dcd72e828c73e

- Download size: 1.5 MB

- Estimated disk space required: 33 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

### libxslt Dependencies

#### Required

libxml2-2.15.3

#### Recommended (at runtime)

docbook-xml-4.5 and docbook-xsl-nons-1.79.2

### Note

Although it is not a direct dependency, many applications using libxslt will expect docbook-xml-4.5 and docbook-xsl-nons-1.79.2 to be present.

#### Optional

libgcrypt-1.12.2 (only needed for the deprecated EXSLT crypto extension, see Command Explanations)

## Installation of libxslt

Install libxslt by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --without-python \
                --docdir=/usr/share/doc/libxslt-1.1.45 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--without-python`: Disable the Python binding of this package. The binding only works if the Python binding of libxml2-2.15.3 is installed, but we've not enabled the deprecated Python binding when we built libxml2-2.15.3.

`--with-crypto`: Enable the non-standard and deprecated EXSLT crypto extension feature. It needs libgcrypt-1.12.2 and the upstream will remove it in the future.

`--with-debug`: Enables thorough diagnostics with the `-v, --verbose` of xsltproc. Use it if you plan to debug XSLT stylesheets.

## Contents

Installed Programs: xslt-config and xsltproc
Installed Libraries: libexslt.so, libxslt.so and optionally, libxsltmod.so Python module
Installed Directories: /usr/include/libexslt, /usr/include/libxslt, /usr/lib/cmake/libxslt, /usr/lib/libxslt-plugins, /usr/share/gtk-doc/lib{xslt,exslt}, /usr/share/doc/libxslt-1.1.45, and /usr/share/doc/libxslt-python-1.1.45

### Short Descriptions

xslt-config | is used to find out the pre-processor, linking and compiling flags necessary to use the libxslt libraries in 3rd-party programs
xsltproc | is used to apply XSLT stylesheets to XML documents
`libexslt.so` | is used to provide extensions to XSLT functions
`libxslt.so` | provides extensions to the `libxml2` libraries to parse files that use the XSLT format

- Prev

  libxmlb-0.3.26

- Next

  libwacom-2.18.0

- Up
- Home